org.apache.ignite.internal.processors.rest.handlers.task

## Class GridTaskResultResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.task.GridTaskResultResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridTaskResultResponse
    extends Object
    implements Message

Task result response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridTaskResultResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`String` `error()`
`void` `error(String err)`
`byte` `fieldsCount()` Gets fields count.
`boolean` `finished()`
`void` `finished(boolean finished)`
`boolean` `found()`
`void` `found(boolean found)`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`@Nullable Object` `result()`
`void` `result(@Nullable Object res)`
`byte[]` `resultBytes()`
`void` `resultBytes(byte[] resBytes)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridTaskResultResponse

    public GridTaskResultResponse()

### Method Detail

#### result

    @Nullable
    public @Nullable Object result()

Returns:
  Task result.

#### result

    public void result(@Nullable
                       @Nullable Object res)

Parameters:
  `res` - Task result.

#### resultBytes

    public void resultBytes(byte[] resBytes)

Parameters:
  `resBytes` - Serialized result.

#### resultBytes

    public byte[] resultBytes()

Returns:
  Serialized result.

#### finished

    public boolean finished()

Returns:
  `true` if finished.

#### finished

    public void finished(boolean finished)

Parameters:
  `finished` - `true` if finished.

#### found

    public boolean found()

Returns:
  `true` if found.

#### found

    public void found(boolean found)

Parameters:
  `found` - `true` if found.

#### error

    public String error()

Returns:
  Error.

#### error

    public void error(String err)

Parameters:
  `err` - Error.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020